/*
 *  interrupt.c
 *
 *  Copyright (C) 2008 Giacometti Luca
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "main9.h"

//------------------------------------------------------------------------------
void _disable_interrupt()
{
 asm("mrs r0, cpsr"); // get cpu flags
 asm("orr r0, r0, #0xc0"); // set irq and fiq inhibitor flags
 asm("msr cpsr, r0"); // update cpu flags
}
//------------------------------------------------------------------------------
void _enable_interrupt()
{
 asm("mrs r0, cpsr"); // get cpu flags
 asm("bic r0, r0, #0xc0"); // clear flags to enable
 asm("msr cpsr, r0"); // update cpu flags
}

// EOF //
